## com.thingmagic
Enum Gen2.LinkFrequency

    java.lang.Object
      java.lang.Enum<Gen2.LinkFrequency>
          com.thingmagic.Gen2.LinkFrequency

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Gen2.LinkFrequency>

Enclosing class:
  Gen2

    public static enum Gen2.LinkFrequency

extends java.lang.Enum<Gen2.LinkFrequency>

Enum Constant Summary
`LINK250KHZ`
`LINK320KHZ`
`LINK640KHZ`

Method Summary
`static int` `get(Gen2.LinkFrequency lf)`
`static Gen2.LinkFrequency` `getFrequency(int fr)`
`static Gen2.LinkFrequency` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Gen2.LinkFrequency[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LINK250KHZ

    public static final Gen2.LinkFrequency LINK250KHZ

### LINK320KHZ

    public static final Gen2.LinkFrequency LINK320KHZ

### LINK640KHZ

    public static final Gen2.LinkFrequency LINK640KHZ

Method Detail

### values

    public static Gen2.LinkFrequency[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Gen2.LinkFrequency c : Gen2.LinkFrequency.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Gen2.LinkFrequency valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getFrequency

    public static Gen2.LinkFrequency getFrequency(int fr)

### get

    public static int get(Gen2.LinkFrequency lf)